fedora 29 install RStudio desktop failed

recently I try to install rstudio failed in fedora 29 , below is the detail:

$ sudo dnf install ./rstudio-1.2.5019-x86_64.0.rpm 
Last metadata expiration check: 0:02:07 ago on Wed 11 Dec 2019 12:13:47 PM CST.
Dependencies resolved.
================================================================================
 Package         Architecture   Version              Repository            Size
================================================================================
Installing:
 rstudio         x86_64         1.2.5019-1           @commandline         115 M

Transaction Summary
================================================================================
Install  1 Package

Total size: 115 M
Installed size: 583 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction check error:
  file /usr/lib/.build-id/00/785078e7b313276fa7d9d0158d1356130e7fba from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/02/f209a47a21452e7e4131c9e0b78af2f17e2d1e from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/12/800084a76a0552bbfb633051802213fc30f040 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/13/6cecb864fb221e4cf0d204c7657b48e84e3aba from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/1b/dd9f887982c60854612a9fcc48006e65ac1301 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/1f/531b6c9be31c747caf883c090f47c93ceca78e from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/23/32ca22c55e0c0f227b1f082b24319281032092 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/33/8e33f2a307d481aad9f2e54b841ac830eb6fc8 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/34/aac32bb4d3c0f44e72e57cf253a871240a1154 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/3e/ebdd6718cebf7ec8f0bba94db5d8f2e2cace66 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/41/0b79d318464987dac208b11c6e92cf652f63a1 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/43/d3a28ba617758a28aa6d40348aef6d89f3aafd from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/47/ccce0f7f90245ae2fdb19d19c6a9eb2338f17f from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/49/3c8b3826c54164ec566b47887b39a0f5d9f689 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/4a/3533b27b61fa86ea853df2ce380e780a9da60c from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/5a/95f83a69114bb3aceaa83ecda49f7338064721 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/61/1eec2a5b3ab25748b4e56034b79827fff9b727 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/62/f143f4e87e3fa560760ae2a06366ac9d7e346b from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/6a/523b200d26874773e78bf230660b0af705a860 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/6b/31319ae597e5c4dc63d510a07746ef482f25b4 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/77/2a283da304080268bc9b26d3ff833aec973cfb from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/80/916a3578c4abf8d9433986b7ca87ee58797eb5 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/85/90905dba9af7ebf23071a87abc427e513a089a from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/8f/3d0c879eae341ad44e724c9c7038ed8cac8a79 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/a0/3240ff2993132ef284fc479e54bbe4aec611e4 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/a7/9b51f656cea7c19269ceb59ccafe5a3e870912 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/b1/aa132363346938a4186e67aba9fbd11aa18600 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/c7/10d078bdcc4dac141dc7f5007e2be93be380c0 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/d6/f32f12b0071a85d081984357a3c322fe4e0b25 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/d8/6caa3aafbd57c2e3930956a86f41ab3727d782 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/e6/56fbeb232fb50d95ffc060fdc2eea8805840d8 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/ea/6a2369dae8e186543b5e0fa413cb7ee7058c84 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/ec/43885edee9ace91acf58b56b5e7a61e1935e26 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64
  file /usr/lib/.build-id/ee/c48a35706197b9c3e665bbc3bec1ce02b63210 from install of rstudio-1.2.5019-1.x86_64 conflicts with file from package nsight-compute-2019.4.0-2019.4.0.12-1.x86_64

Error Summary
-------------

the nsight-compute package comes from office cuda repository, why the build-id files will be conflicted ,how to fix it?

Sorry, but I'm not sure and it's unlikely anyone else is running with a similar environment. It's surprising to me that dnf doesn't report which files are actually conflicting.

This topic was automatically closed 21 days after the last reply. New replies are no longer allowed.

yes, that's weird, I still can not figure out it, but I switch to download the tar.gz package instead of rpm package and use rstudio successfully, though this way is somewhat inconvenience.